package com.saga.flink.cdc.source;

import com.saga.flink.cdc.bean.User;
import com.saga.flink.cdc.constant.PhoenixConstant;
import org.apache.flink.configuration.Configuration;
import org.apache.flink.streaming.api.functions.source.RichSourceFunction;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class MysqlSourceCDC extends RichSourceFunction<User> {

    private static Connection connection = null;
    private static Statement statement = null;

    @Override
    public void open(Configuration parameters) throws Exception {
        try {
            Class.forName(PhoenixConstant.PHOENIX_DRIVER);
            connection = DriverManager.getConnection(PhoenixConstant.PHOENIX_SERVER);
            statement = connection.createStatement();

        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
        System.out.println("MysqlSourceCDC open");
    }

    @Override
    public void run(SourceContext<User> ctx) throws Exception {
        System.out.println("MysqlSourceCDC run");
        ctx.collect(new User());
    }

    @Override
    public void cancel() {
        System.out.println("MysqlSourceCDC cancel");
    }
}
